Gentoo Archives: gentoo-user

From: Karl Huysmans <karl.huysmans@×××××.com>
To: gentoo-user@l.g.o
Subject: [gentoo-user] Xorg 7.0 + Blackdown-jdk
Date: Tue, 31 Jan 2006 03:57:26
Message-Id: 6e2d5e4f0601301952n241a7f6bn@mail.gmail.com
Hi,

I have installed xorg-x11-7.0 a few weeks ago, everything fine. I now want
to start using a Java application, and this causes problems, the application
complains about libXp.so.6 not being found. Checked the same Java
application on another box running xorg-x11-6.8.2-r6, no problem.

Tried revdep-rebuild -p, and it wants to rebuild blackdown for the missing
library. Fine, but when I try emerge -p blackdown-jdk, I get:

[blocks B     ] x11-libs/libXft (is blocking x11-base/xorg-x11-6.8.99.15-r4)
[ebuild     UD] x11-base/xorg-x11-6.8.99.15-r4 [7.0]
[ebuild  N    ] virtual/x11-6.8
[ebuild     U ] dev-java/blackdown-jdk-1.4.2.03-r2 [1.4.2.02]

Do not quite understand what is going to happen here. What is the virtual?
Is this just going to downgrade to xorg-x11-6.8.99.15-r4?

Same goes for imagemagick and gnome.

THX for any advice

Karl